
####nginx如果反向代理gateway的31380端口,需要设置proxy_http_version 1.1;####
apiVersion: networking.istio.io/v1alpha3
kind: Gateway
metadata:
  ###网关的名称,VirtualService可以关联网关名称###
  name: jiagou-istio-gateway
spec:
  selector:
    istio: ingressgateway # use istio default controller
  servers:
  - port: ###监听的Gateway端口,对应的物理端口默认是31380###
      number: 80 
      name: http
      protocol: HTTP
    hosts: ###解析的域名###
    - "*"

